# `BaseExceptHook`

digraph inheritance5d0264afdc { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "BaseExceptHook" [URL="#taurus.core.util.excepthook.BaseExceptHook",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="A callable class that acts as an excepthook that handles an exception."]; }

class BaseExceptHook(hook_to=None)

  A callable class that acts as an excepthook that handles an exception. This base class simply calls the `sys.__excepthook__`

  Parameters:

    hook_to (callable) – callable excepthook that will be called at the end of this hook handling [default: None]

  Import from `taurus.core.util.excepthook` as:

      from taurus.core.util.excepthook import BaseExceptHook

  report(*exc_info)

    Report an exception. Overwrite as necessary